Bug 227825 - Allow layout tests to specify app initiated loads or not
Summary: Allow layout tests to specify app initiated loads or not
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kate Cheney
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-07-08 19:39 PDT by Kate Cheney
Modified: 2021-07-13 09:40 PDT (History)
3 users (show)

See Also:


Attachments
Patch (66.73 KB, patch)
2021-07-08 20:20 PDT, Kate Cheney
no flags Details | Formatted Diff | Diff
Patch (66.86 KB, patch)
2021-07-09 10:32 PDT, Kate Cheney
no flags Details | Formatted Diff | Diff
Patch (66.87 KB, patch)
2021-07-09 15:00 PDT, Kate Cheney
no flags Details | Formatted Diff | Diff
Patch (68.76 KB, patch)
2021-07-12 13:38 PDT, Kate Cheney
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (68.80 KB, patch)
2021-07-12 13:52 PDT, Kate Cheney
no flags Details | Formatted Diff | Diff
Patch for landing (68.82 KB, patch)
2021-07-13 08:34 PDT, Kate Cheney
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kate Cheney 2021-07-08 19:39:45 PDT
We should expand App Privacy Report layout testing
Comment 1 Radar WebKit Bug Importer 2021-07-08 19:40:15 PDT
<rdar://problem/80355582>
Comment 2 Kate Cheney 2021-07-08 20:20:01 PDT
Created attachment 433194 [details]
Patch
Comment 3 Kate Cheney 2021-07-09 10:32:17 PDT
Created attachment 433223 [details]
Patch
Comment 4 Kate Cheney 2021-07-09 15:00:00 PDT
Created attachment 433241 [details]
Patch
Comment 5 Kate Cheney 2021-07-12 13:38:53 PDT
Created attachment 433350 [details]
Patch
Comment 6 Kate Cheney 2021-07-12 13:52:54 PDT
Created attachment 433353 [details]
Patch
Comment 7 Brent Fulgham 2021-07-12 21:56:29 PDT
Comment on attachment 433353 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=433353&action=review

R=me, but consider using a HAVE macro, perhaps in a follow up patch, to gate this on the presence of app initiation state in a build, rather than OS family,

> Source/WebKit/UIProcess/API/APIPageConfiguration.cpp:99
> +#if PLATFORM(IOS_FAMILY)

This might be better as a HAVE macro (e.g., HAVE(APP_ATTRIBUTION) or something).
Comment 8 Kate Cheney 2021-07-13 08:20:32 PDT
Thanks!

(In reply to Brent Fulgham from comment #7)
> Comment on attachment 433353 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=433353&action=review
> 
> R=me, but consider using a HAVE macro, perhaps in a follow up patch, to gate
> this on the presence of app initiation state in a build, rather than OS
> family,

Good point, and one even exists, ENABLE(APP_PRIVACY_REPORT), that I forgot to use. Will fix before landing.

> 
> > Source/WebKit/UIProcess/API/APIPageConfiguration.cpp:99
> > +#if PLATFORM(IOS_FAMILY)
> 
> This might be better as a HAVE macro (e.g., HAVE(APP_ATTRIBUTION) or
> something).
Comment 9 Kate Cheney 2021-07-13 08:34:06 PDT
Created attachment 433405 [details]
Patch for landing
Comment 10 EWS 2021-07-13 09:40:19 PDT
Committed r279874 (239627@main): <https://commits.webkit.org/239627@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 433405 [details].